<?php
namespace Claromentis\OAuth2\Entity;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array();
use League\OAuth2\Server\Entities\UserEntityInterface;
class UserEntity implements UserEntityInterface
{
    
    
    protected $user;
    public function __construct(\User $_24e0e36600d6af77406a44bb618a6253)
    {
        $this->user = $_24e0e36600d6af77406a44bb618a6253;
    }
    
    
    
    
    
    
    public function getIdentifier()
    {
        return $this->user->id;
    }
}